import { Connect, MetadataDetail } from '@genesislcap/foundation-comms';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare const DEFUALT_FILTER_BAR_COLUMNS = 5;
export declare class FilterBar extends FoundationElement {
    resource: string;
    only: string;
    labels: string;
    target: string;
    columns: number;
    ready: boolean;
    fields: MetadataDetail[];
    connect: Connect;
    filterGrid: HTMLDivElement;
    collapsed: boolean;
    connectedCallback(): void;
    private initLabels;
    private camelCasePreserveWhitespace;
    resourceChanged(oldResource: string, newResource: string): void;
    private init;
    private adjustColumnStyles;
    toggle(): void;
}
export declare const foundationFilterBar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof FilterBar>;
//# sourceMappingURL=filter-bar.d.ts.map