import { ErrorStructure } from '@genesislcap/foundation-errors';
import { FoundationElement } from '@microsoft/fast-foundation';
export declare const foundationSnackbarShadowOptions: ShadowRootInit;
export declare class Snackbar extends FoundationElement {
    snackbar: HTMLElement;
    error: ErrorStructure;
    deleteAnimation: string;
    closeTimeout: number;
    autoClose: boolean;
    type: 'error' | '';
    connectedCallback(): void;
    errorChanged(oldValue: ErrorStructure, newValue: ErrorStructure): void;
    dismiss(): void;
}
export declare const foundationSnackbar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Snackbar, any>;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<Snackbar, any>;
    shadowOptions: ShadowRootInit;
}, typeof Snackbar>;
//# sourceMappingURL=snackbar.d.ts.map