import { html, ref } from '@microsoft/fast-element';
export const foundationBannerTemplate = html `
  <div class="banner ${(x) => x.dismissAnimation}" ${ref('banner')}>
    <div part="content" class="content">
      <slot name="content"></slot>
    </div>
    <div part="action" class="action">
      <slot name="action" class="action"></slot>
    </div>
  </div>
`;
